import * as React from 'react';
import { NavigationProp, NavigationDescriptor } from 'react-navigation';
import { BottomNavigation } from 'react-native-paper';
import { NavigationMaterialBottomTabConfig } from '../types';
import { ViewStyle } from 'react-native';
declare type Options = {
    tabBarVisible?: boolean;
    tabBarColor?: string;
    tabBarColorLight?: string;
    tabBarColorDark?: string;
};
declare type Props = React.ComponentProps<typeof BottomNavigation> & NavigationMaterialBottomTabConfig & {
    navigation: NavigationProp<any>;
    descriptors: {
        [key: string]: NavigationDescriptor<any, Options>;
    };
    screenProps?: unknown;
    renderIcon: (options: {
        route: {
            key: string;
        };
        focused: boolean;
        tintColor: string;
    }) => React.ReactNode;
};
export default class MaterialBottomTabView extends React.Component<Props> {
    static contextType: React.Context<import("react-navigation").SupportedThemes>;
    _getColor: ({ route }: {
        route: {
            key: string;
        };
    }) => string | undefined;
    _getactiveColor: () => string | undefined;
    _getInactiveColor: () => string | undefined;
    _getBarStyle: () => import("react-native").StyleProp<ViewStyle>[];
    _isVisible(): boolean | undefined;
    _renderIcon: ({ route, focused, color, }: {
        route: {
            key: string;
        };
        focused: boolean;
        color: string;
    }) => React.ReactNode;
    render(): JSX.Element;
}
export {};
